package de.ims.cl.dv.parsers;

public class CandCEncoding extends Encoding {
    
    /** Encoding for Minipar lemmas
        Attention: this might be applied more than once!
        Thus it must hold that encode^1(s) = encode^n(s) **/
    
    public String encode(String s) {
	
	String new_s; 
	
	new_s = new String(s);
	
	new_s = new_s.replaceAll(":","_COLON_");
	new_s = new_s.replaceAll("\t","_TAB_");
	new_s = new_s.replaceAll("\"","");
	new_s = new_s.replaceAll(" ","_");
	new_s = new_s.replaceAll("`","_BACKTICK_");
	new_s = new_s.toLowerCase();

	return new_s;
    }
}