package de.ims.cl.dv.util;

import java.io.IOException;

import de.ims.cl.dv.datastructures.FrequencyList;

/**
 * Reorder a BE List according to the SortInvFrequency comparator
 * 1. inverse frequency 
 * 2. inverse lexicographic order
 * 
 * Usage: ReorderBEList <infile> <outfile>
 * 
 * @author pado
 *
 */
public class ReorderBEList {

	
	public static void main(String[] args) throws IOException {
		FrequencyList fl = new FrequencyList(args[0], null, true);
		DVIOHelpers.writeToFile(args[1], fl.toStringByFrequency());		
	}
	
}
