# extract basis elements and frequencies of targets and basis elements

# this script uses the "full" format corpus

echo "** ExtractBasisElements"

cat sample_corpus_cnc | ../bin/ExtractBasisElements.sh --targets targets --targetdir vectors/ --plain --spec minimal --basisMapping lex --ctype candc

# extract semantic space

echo "** ExtractSpace"

cat sample_corpus_cnc | ../bin/ExtractSpace.sh --targetdir vectors/ --plain --spec minimal --basisMapping lex --ctype candc

# log-likelihood transformation

echo "** Log-Likelihood Transformation"

../bin/LLT.sh --targetdir vectors/ --plain --spec minimal